/****************************************************************************
* This file is part of the Harmattan API Showcase Application.
*
* Copyright © 2012 Nokia Corporation and/or its subsidiary(-ies).  
* All rights reserved.
*
* This software, including documentation, is protected by copyright
* controlled by Nokia Corporation.  All rights reserved.  You are 
* entitled to use this file in accordance with the Harmattan API
* Showcase Application Agreement.
*
****************************************************************************/

import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
  id: theHeader
  property alias title: titleText.text
  property alias titleColor: titleText.color

  width: parent ? parent.width : 0
  height: 72
  // color: "#62b700"
  // color: "#3d890c"
  // color: "#347708"
  // color: "#306600"
  // color: "#09a7cc"
  // color: "#007dc9"
  // color: "#0067bc"
  // color: "#1c51af"
  // color: "#4591ff"
  // color: "#6400bc"
  // color: "#870cba"
  // color: "#cc09ba"
  // color: "#e800a1"
  // color: "#ef5500"
  // color: "#ea650a"
  // color: "#f77219"
  // color: "#ff8500"
  // color: "#ed9507"
  // color: "#f2b111"
  color: "#ee7d27"

  Text {
    id: titleText
    x: 16
    anchors.verticalCenter: parent.verticalCenter
    color: "white"
    font.pixelSize: 32
  }

  Rectangle {
    height: 1
    width: parent.width
    anchors.bottom: parent.bottom
    color: "#10000000"
  }

  Rectangle {
    height: 1
    width: parent.width
    anchors.top: parent.bottom
    anchors.topMargin: 1
    color: "white"
  }

}

//! End of file
